Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78782 - rpm seg faults after rebuilding database
Summary: rpm seg faults after rebuilding database
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-29 20:30 UTC by Brig C. McCoy
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-02 20:07:54 UTC


Attachments (Terms of Use)

Description Brig C. McCoy 2002-11-29 20:30:37 UTC
Description of Problem:
rpm seg faults, even after attempted 
database repair.

Version-Release number of selected 
component (if applicable):
rpm-4.0.4-7x

How 
Reproducible:
Every time.

Steps to Reproduce:
1. rpm -
qa
2. 
3. 

Actual Results:
[root@www rpm]# rpm -q 
rpm
rpm-4.0.4-7x
[root@www rpm]# rpm -qa
gdbm-1.8.0-
10
netconfig-0.8.11-7
ed-0.2-21
sysklogd-1.4.1-4
kudzu-
0.99.23-1
ghostscript-fonts-5.50-3
perl-XML-Encoding-1.01-
2
libjpeg-6b-16
awesfx-0.4.3a-8
gnupg-1.0.6-3
rsh-0.17-
5
rp-pppoe-3.2-3
mt-st-0.6-1
lsof-4.51-2
autoconf-2.13-
14
diffstat-1.28-1
libjpeg-devel-6b-16
kudzu-devel-0.99.23-
1
libungif-4.1.0-9
libglade-0.16-4
cyrus-sasl-1.5.24-
23
openldap-devel-2.0.21-1
libgnomeprint15-0.29-6
perl-
5.6.1-26.72.3
cvs-1.11.1p1-7
docbook-utils-0.6.9-
2.1
XFree86-75dpi-fonts-4.1.0-25
printconf-gui-0.3.61-
4.1
mod_ssl-2.8.5-6
wu-ftpd-2.6.1-20
imap-devel-2001a-
1.72.0
webmin-1.020-1
Segmentation fault
[root@www 
rpm]#

Expected Results:
Full list of installed 
packages

Additional Information:
Attempted to rebuild 
the database, using recommended method:

 1024  rm __db*
 
1025  db_verify Packages
 1026  mv Packages Packages-ORIG
 
1027  db_dump Packages-ORIG | db_load Packages

Even after 
this rpm seg faults.

Comment 1 Jeff Johnson 2002-11-29 22:06:37 UTC
A rebuilddb with rpm-4.1 should fix, otherwise
give me a pointer (i.e. URL, attachments are size limited)
to a tarball of your database
	cd /var/lib
	tar czvf /tmp/rpmdb-78782.tar.gz rpm/Packages

Comment 2 Brig C. McCoy 2002-12-02 20:07:48 UTC
URL <http://www.lindahall.org/bugzilla78782.tar.gz>

Comment 3 Jeff Johnson 2002-12-03 19:19:36 UTC
Instance #128, webmin was bad. I deleted, repaired
copy of rpm/Packages is at
	ftp://people.redhat.com/jbj/rpmdb-78782-FIX.tar.gz
Download and install by doing (as root)
	cd /var/lib
	mv rpm/Packages rpm/Packages-ORIG
	tar xzvf rpmdb-78782-FIX.tar.gz
	rpm --rebuilddb -vv
Verify fix by doing
	rpm -qa

Comment 4 Brig C. McCoy 2002-12-03 19:53:59 UTC
That fixed it, thanks.

...brig



Note You need to log in before you can comment on or make changes to this bug.